%define _buildid .14

%global py26nvr python26-backports-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-backports-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name backports

Name: python-backports
Version: 1.0
Release: 3%{?_buildid}%{?dist}
Summary: Namespace for backported Python 3.x features
Group: Development/Libraries
License: Public Domain
URL: https://pypi.python.org/pypi/%{upstream_name}
# Only code is sourced from http://www.python.org/dev/peps/pep-0382/
Source0: %{upstream_name}.py
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
The backports namespace is a namespace reserved for features backported from
the Python standard library to older versions of Python 2.

Packages that exist in the backports namespace in Fedora should not provide
their own backports/__init__.py, but instead require this package.

Backports to earlier versions of Python 3, if they exist, do not need this
package because of changes made in Python 3.3 in PEP 420
(http://www.python.org/dev/peps/pep-0420/).

%package -n python26-backports
Summary: Namespace for backported Python 3.x features
Provides: python-backports = %{version}-%{release}
Obsoletes: python-backports <= 1.0-3.6.amzn1

%description -n python26-backports
The backports namespace is a namespace reserved for features backported from
the Python standard library to older versions of Python 2.

Packages that exist in the backports namespace in Fedora should not provide
their own backports/__init__.py, but instead require this package.

Backports to earlier versions of Python 3, if they exist, do not need this
package because of changes made in Python 3.3 in PEP 420
(http://www.python.org/dev/peps/pep-0420/).

This package is meant to be used with Python 2.6.

%package -n python27-backports
Summary: Namespace for backported Python 3.x features

%description -n python27-backports
The backports namespace is a namespace reserved for features backported from
the Python standard library to older versions of Python 2.

Packages that exist in the backports namespace in Fedora should not provide
their own backports/__init__.py, but instead require this package.

Backports to earlier versions of Python 3, if they exist, do not need this
package because of changes made in Python 3.3 in PEP 420
(http://www.python.org/dev/peps/pep-0420/).

This package is meant to be used with Python 2.7.

%prep

%build

%install
rm -rf %{buildroot}

mkdir -pm 755 %{buildroot}%{python26_sitelib}/%{upstream_name}
install -pm 644 %{SOURCE0} %{buildroot}%{python26_sitelib}/%{upstream_name}/__init__.py

mkdir -pm 755 %{buildroot}%{python26_sitearch}/%{upstream_name}
install -pm 644 %{SOURCE0} %{buildroot}%{python26_sitearch}/%{upstream_name}/__init__.py

mkdir -pm 755 %{buildroot}%{python27_sitelib}/%{upstream_name}
install -pm 644 %{SOURCE0} %{buildroot}%{python27_sitelib}/%{upstream_name}/__init__.py

mkdir -pm 755 %{buildroot}%{python27_sitearch}/%{upstream_name}
install -pm 644 %{SOURCE0} %{buildroot}%{python27_sitearch}/%{upstream_name}/__init__.py

%check
%if %{with tests}
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-backports
%{python26_sitelib}/%{upstream_name}
%{python26_sitearch}/%{upstream_name}

%files -n python27-backports
%{python27_sitelib}/%{upstream_name}
%{python27_sitearch}/%{upstream_name}

%changelog
* Thu Feb 5 2015 Tom Kirchner <tjk@amazon.com>
- Update for new python naming conventions

* Tue Sep 16 2014 Rodrigo Novo <rodarvus@amazon.com>
- Cleaned-up spec file Re: multiple %{description} fields

* Mon Sep 15 2014 Rodrigo Novo <rodarvus@amazon.com>
- Split package into Python 2.6 / Python 2.7 subpackages

* Wed Sep 18 2013 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-backports-1.0-3.el6
- setup complete for package python-backports

* Mon Aug 19 2013 Ian Weller <iweller@redhat.com> - 1.0-3
- Install to both python_sitelib and python_sitearch

* Mon Aug 19 2013 Ian Weller <iweller@redhat.com> - 1.0-2
- Install to the correct location

* Fri Aug 16 2013 Ian Weller <iweller@redhat.com> - 1.0-1
- Initial package build
